# syntactic_decorator.hh File Reference

Declaration of the very base class of `Element`. More...

Include dependency graph for syntactic_decorator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | SyntacticDecorator< S, T >
| Provides the standard operator delegations to Element. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Detailed Description

Declaration of the very base class of `Element`.

Definition in file syntactic_decorator.hh.